package pack

import (
	"github.com/issue9/conv"
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"
)

func HttpSpecialTaskSettleListRequestToCondition(req *http_model.SpecialTaskSettleListRequest) *common_model.TalentConditions {
	return &common_model.TalentConditions{
		ProjectId:        req.ProjectId,
		SettleStatus:     conv.MustInt64(req.SettleStatus, 0),
		PlatformNickname: conv.MustString(req.PlatformNickname, ""),
	}
}
